﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Domecek
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			int width = 500;
			int height = 800;
			pictureBox1.Image = new Bitmap(width, height);
			pictureBox1.BackColor = Color.Aquamarine;
			var g = Graphics.FromImage(pictureBox1.Image);
			//g.FillRectangle(new System.Drawing.SolidBrush(System.Drawing.Color.White), 000, 000, width, height);
			var spodniCastDomku = new Rectangle(width / 6, height / 2, width - 2 * width / 6, height / 2 - height / 12);
			g.FillRectangle(new System.Drawing.SolidBrush(System.Drawing.Color.Yellow), spodniCastDomku);
			g.DrawRectangle(new Pen(new System.Drawing.SolidBrush(System.Drawing.Color.Blue),4), spodniCastDomku);
			var strecha = new[]
			{
				new Point(width/2, height/6),
				new Point(width/12, height/2),
				new Point(width - width/12, height/2),
			};
			g.FillPolygon(Brushes.Red, strecha);
			g.DrawPolygon(new Pen(Color.Black, 3), strecha);
			int velikostDveri = Math.Min(spodniCastDomku.Height, spodniCastDomku.Width) * 8 / 10;
			var dvere = new Rectangle(
				spodniCastDomku.X + spodniCastDomku.Width / 2 - velikostDveri / 2,
				spodniCastDomku.Y + spodniCastDomku.Height / 2 - velikostDveri / 2,
				velikostDveri,
				velikostDveri
			);
			g.FillEllipse(Brushes.Brown, dvere);
			g.DrawEllipse(new Pen(Color.BlueViolet, 3), dvere);
			g.DrawLine(
				new Pen(Color.Black, 3),
				dvere.X, dvere.Y + velikostDveri / 2,
				dvere.X + velikostDveri, dvere.Y + velikostDveri / 2
			);
			g.DrawLine(
				new Pen(Color.Black, 3),
				dvere.X + velikostDveri / 2, dvere.Y,
				dvere.X + velikostDveri / 2, dvere.Y + velikostDveri
			);
		}
	}
}
